Subject: Re: git tag usability issue: Lightweight vs Annotated confusion for the end user (ex. git describe default)

From: Junio C Hamano <[email-masked]>
Date: Wed, 24 Jul 2013 13:37:28 -0700

Jonathon Mah <[email-masked]> writes:

> I always add --tags when I call git-describe. Is there any reason this shouldn't become the new default (quickly, before git 2.0 perhaps)?

The distinction is there for a reason--- annotated tags are meant
for the more "public" and "permanent" stuff, while you can do
lightweight tags for random short-term stuff.

An argument could be to change Git not to follow unannotated tags
with "git fetch" and "git push --follow-tags" by default, which goes
in the direction to make the distinction even clear.  But for a
change to make the distinction less useful, I would have to say it
is probably a bad idea.